### Enumeration

# Gtk ButtonsType

#### Declaration

    enum Gtk.ButtonsType

#### Description [src]

Prebuilt sets of buttons for `GtkDialog`.

If none of these choices are appropriate, simply use `GTK_BUTTONS_NONE` and call gtk_dialog_add_buttons().

> Please note that `GTK_BUTTONS_OK`, `GTK_BUTTONS_YES_NO` and `GTK_BUTTONS_OK_CANCEL` are discouraged by the GNOME Human Interface Guidelines.

#### Members

Name | Description
--- | ---
`GTK_BUTTONS_NONE` | No buttons at all.
`GTK_BUTTONS_OK` | An OK button.
`GTK_BUTTONS_CLOSE` | A Close button.
`GTK_BUTTONS_CANCEL` | A Cancel button.
`GTK_BUTTONS_YES_NO` | Yes and No buttons.
`GTK_BUTTONS_OK_CANCEL` | OK and Cancel buttons.